Eyetracker |

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
pygaze._display.pygamedisplay.PyGameDisplay Class Reference
Inheritance diagram for pygaze._display.pygamedisplay.PyGameDisplay:

## Public Member Functions
| __init__ (self, dispsize=settings.DISPSIZE, fgc=settings.FGC, bgc=settings.BGC, screen=None, **args)
| show (self)
| show_part (self, rect, screen=None)
| fill (self, screen=None)
| close (self)
| make_screenshot (self, filename='screenshot.png')
Public Member Functions inherited from pygaze._display.basedisplay.BaseDisplay
| __init__ (self)

## Public Attributes
| dispsize = dispsize
| fgc = fgc
| bgc = bgc
bool | mousevis = False

## Constructor & Destructor Documentation

## ◆ __init__()

pygaze._display.pygamedisplay.PyGameDisplay.__init__ | ( |  | self,
|  |  | dispsize = settings.DISPSIZE,
|  |  | fgc = settings.FGC,
|  |  | bgc = settings.BGC,
|  |  | screen = None,
|  | ** | args )

## Member Function Documentation

## ◆ close()

pygaze._display.pygamedisplay.PyGameDisplay.close | ( |  | self | ) |

            Closes the display

            arguments

            None

            keyword arguments

            None

            returns

            None

Reimplemented from pygaze._display.basedisplay.BaseDisplay.

## ◆ fill()

pygaze._display.pygamedisplay.PyGameDisplay.fill | ( |  | self,
|  |  | screen = None )

            Fills the screen with the background colour of the Screen, NOT
            updating it (call Display.show() to actually show the new contents)

            arguments

            None

            keyword arguments

            screen  --  the screen that should be drawn to the display or
                        None to fill the display with its background colour

            returns

            None

Reimplemented from pygaze._display.basedisplay.BaseDisplay.

## ◆ make_screenshot()

pygaze._display.pygamedisplay.PyGameDisplay.make_screenshot | ( |  | self,
|  |  | filename = 'screenshot.png' )

            Make a screenshot from the current display.

            arguments

            None

            keyword arguments

            filename    --  path and filename, under wich the screenshot will be
                            saved. Defaults to screenshot.png

            returns

            None

Reimplemented from pygaze._display.basedisplay.BaseDisplay.

## ◆ show()

pygaze._display.pygamedisplay.PyGameDisplay.show | ( |  | self | ) |

            Updates ('flips') the display.

            arguments

            None

            keyword arguments

            None

            returns
            time        --  the exact refresh time when disptype is PsychoPy,
                        or an estimate when disptype is PyGame

Reimplemented from pygaze._display.basedisplay.BaseDisplay.

## ◆ show_part()

pygaze._display.pygamedisplay.PyGameDisplay.show_part | ( |  | self,
|  |  | rect,
|  |  | screen = None )

            Fills AND shows part(s) of the screen to given specified screen
            (only works when disptype is PyGame; when this is set to PsychoPy
            the entire display is filled and updated)

            arguments

            rect        --  a single or a list of rects; a rect is a (x,y,w,h)
                        tuple or list

            keyword arguments

            screen  --  the screen of which the specified rects should be
                        updated to the display (default = None)

            returns

            time        --  the exact refresh time when disptype is PsychoPy,
                        or an estimate when disptype is PyGame

Reimplemented from pygaze._display.basedisplay.BaseDisplay.

## Member Data Documentation

## ◆ bgc

pygaze._display.pygamedisplay.PyGameDisplay.bgc = bgc

## ◆ dispsize

pygaze._display.pygamedisplay.PyGameDisplay.dispsize = dispsize

## ◆ fgc

pygaze._display.pygamedisplay.PyGameDisplay.fgc = fgc

## ◆ mousevis

pygaze._display.pygamedisplay.PyGameDisplay.mousevis = False

The documentation for this class was generated from the following file:

- C:/Users/lurax/eyetrackingTobii/pygaze/_display/pygamedisplay.py